"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setItem = exports.getItem = void 0;
var _asyncStorage = _interopRequireDefault(require("@react-native-async-storage/async-storage"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const storeData = async ({
  key,
  value
}) => {
  try {
    let jsonValue = value;
    if (typeof value !== 'string') {
      jsonValue = JSON.stringify(value);
    }
    await _asyncStorage.default.setItem(key, jsonValue);
    return true; // Add a return statement here
  } catch (e) {
    console.error("Couldn't store data in AsyncStorage", e);
    return null;
  }
};
exports.setItem = storeData;
const getData = async key => {
  try {
    const jsonValue = await _asyncStorage.default.getItem(key);
    return jsonValue != null ? JSON.parse(jsonValue) : null;
  } catch (e) {
    console.error("Couldn't get data from AsyncStorage", e);
    return null;
  }
};
exports.getItem = getData;
//# sourceMappingURL=storage.js.map