"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.theme = void 0;
var _font = require("./font");
const theme = exports.theme = {
  color: {
    warning: '#7f1d1d',
    success: '',
    primaryColor: '#09090b',
    secondaryColor: '#e7e7e7',
    primaryText: '#19191b',
    SecondaryText: '#797981'
  },
  fontSize: {
    xs: (0, _font.FontSize)(3),
    // Extra small
    sm: (0, _font.FontSize)(3.5),
    // Small
    md: (0, _font.FontSize)(3.9),
    // Medium
    lg: (0, _font.FontSize)(4.9),
    // Large
    xl: (0, _font.FontSize)(5.2),
    // Extra large
    '2xl': (0, _font.FontSize)(5.6),
    // 2 times extra large
    '3xl': (0, _font.FontSize)(6.3),
    // 3 times extra large
    '4xl': (0, _font.FontSize)(6.8),
    // 4 times extra large
    '5xl': (0, _font.FontSize)(7.3),
    // 5 times extra large
    '6xl': (0, _font.FontSize)(7.8),
    // 6 times extra large
    '7xl': (0, _font.FontSize)(8.3),
    // 7 times extra large
    '8xl': (0, _font.FontSize)(8.9),
    // 8 times extra large
    '9xl': (0, _font.FontSize)(9.5) // 9 times extra large
  },
  lineHeights: {
    xs: 1,
    // Extra small
    sm: 1.2,
    // Small
    md: 1.4,
    // Medium
    lg: 1.6,
    // Large
    xl: 1.8,
    // Extra large
    '2xl': 2,
    // 2 times extra large
    '3xl': 2.4 // 3 times extra large
  },
  letterSpacings: {
    xs: 0,
    // Extra small
    sm: 1,
    // Small
    md: 2,
    // Medium
    lg: 3,
    // Large
    xl: 4,
    // Extra large
    '2xl': 5,
    // 2 times extra large
    '3xl': 6 // 3 times extra large
  },
  breakpoints: {
    xs: 0,
    // Extra small devices (phones, less than 576px)
    sm: 576,
    // Small devices (phones, 576px and up)
    md: 768,
    // Medium devices (tablets, 768px and up)
    lg: 992,
    // Large devices (desktops, 992px and up)
    xl: 1200 // Extra large devices (large desktops, 1200px and up)
  }
};
//# sourceMappingURL=nexus.config.js.map