import AsyncStorage from '@react-native-async-storage/async-storage';
const storeData = async ({
  key,
  value
}) => {
  try {
    let jsonValue = value;
    if (typeof value !== 'string') {
      jsonValue = JSON.stringify(value);
    }
    await AsyncStorage.setItem(key, jsonValue);
    return true; // Add a return statement here
  } catch (e) {
    console.error("Couldn't store data in AsyncStorage", e);
    return null;
  }
};
const getData = async key => {
  try {
    const jsonValue = await AsyncStorage.getItem(key);
    return jsonValue != null ? JSON.parse(jsonValue) : null;
  } catch (e) {
    console.error("Couldn't get data from AsyncStorage", e);
    return null;
  }
};
export { storeData as setItem, getData as getItem };
//# sourceMappingURL=storage.js.map