import { Dimensions } from 'react-native';
import { theme } from './';
export function breakPoint(breakpointStyles) {
  const width = Dimensions.get('window').width;

  // If the width of the screen is less than the extra small breakpoint and extra small breakpoint styles are provided, return extra small breakpoint styles
  if (width < (theme?.breakpoints?.sm || 576) && breakpointStyles?.xs) {
    return breakpointStyles?.xs;
  }

  // If the width of the screen is greater than or equal to the extra small breakpoint and less than the small breakpoint and small breakpoint styles are provided, return small breakpoint styles
  else if (width >= (theme?.breakpoints?.sm || 576) && width < (theme?.breakpoints?.md || 768) && breakpointStyles?.sm) {
    return breakpointStyles?.sm;
  }

  // If the width of the screen is greater than or equal to the medium breakpoint and less than the large breakpoint and medium breakpoint styles are provided, return medium breakpoint styles
  else if (width >= (theme?.breakpoints?.md || 768) && width < (theme?.breakpoints?.lg || 922) && breakpointStyles?.md) {
    return breakpointStyles?.md;
  }

  // If the width of the screen is greater than or equal to the large breakpoint and less than the extra large breakpoint and large breakpoint styles are provided, return large breakpoint styles
  else if (width >= (theme?.breakpoints?.lg || 922) && width < (theme?.breakpoints?.xl || 1200) && breakpointStyles?.lg) {
    return breakpointStyles?.lg;
  }

  // If the width of the screen is greater than or equal to the extra large breakpoint and extra large breakpoint styles are provided, return extra large breakpoint styles
  else if (width >= (theme?.breakpoints?.xl || 1200) && breakpointStyles?.xl) {
    return breakpointStyles?.xl;
  }

  // If no specific breakpoint styles are provided or if the width does not fall into any of the specified ranges, return null
  return null;
}
//# sourceMappingURL=breakPoint.js.map