import {ReactNode} from 'react';
import {TextProps, TextStyle} from 'react-native';

export type TypographyI = {
  children: ReactNode;

  // Text style
  underline?: boolean;
  bold?: boolean;
  italic?: boolean;
  uppercase?: boolean;
  lowercase?: boolean;
  capitalize?: boolean;
  subscript?: boolean;
  highlight?: boolean;
  strike?: boolean;

  // Text color
  color?: string;

  // Text size
  fontSize?:
    | number
    | 'xs'
    | 'sm'
    | 'md'
    | 'lg'
    | 'xl'
    | '2xl'
    | '3xl'
    | '4xl'
    | '5xl'
    | '6xl'
    | '7xl'
    | '8xl'
    | '9xl';

  // Text alignment
  align?: 'left' | 'center' | 'right' | 'justify';

  // Line height
  lineHeight?: number | 'xs' | 'sm' | 'md' | 'lg' | 'xl' | '2xl' | '3xl';

  // Letter spacing
  letterSpacing?: number | 'xs' | 'sm' | 'md' | 'lg' | 'xl' | '2xl' | '3xl';

  // Additional props
  TextProps?: TextProps;

  textstyle?: TextStyle;

  // Breakpointstyle
  breakpointstyle?: {
    xs?: TextStyle;
    sm?: TextStyle;
    md?: TextStyle;
    lg?: TextStyle;
    xl?: TextStyle;
  };
}
