import type { Theme } from './types';

const COMMON_THEME = {
  PRIMARY_FOREGROUND: 'hsl(0, 0%, 98%)',
  SECONDARY_FOREGROUND: 'hsl(240, 5.9%, 10%)',
  MUTED_FOREGROUND: 'hsl(240, 5%, 64.9%)',
  ACCENT_FOREGROUND: 'hsl(0, 0%, 98%)',
  DESTRUCTIVE_FOREGROUND: 'hsl(0, 0%, 98%)',
  BORDER: 'hsl(240, 5.9%, 90%)',
  INPUT: 'hsl(240, 5.9%, 90%)',
};

const LIGHT_THEME: Theme = {
  ...COMMON_THEME,
  BACKGROUND: 'hsl(0, 0%, 100%)',
  FOREGROUND: 'hsl(240, 10%, 3.9%)',
  CARD: 'hsl(0, 0%, 100%)',
  CARD_FOREGROUND: 'hsl(240, 10%, 3.9%)',
  POPOVER: 'hsl(0, 0%, 100%)',
  POPOVER_FOREGROUND: 'hsl(240, 10%, 3.9%)',
  PRIMARY: 'hsl(240, 5.9%, 10%)',
  SECONDARY: 'hsl(240, 4.8%, 95.9%)',
  MUTED: 'hsl(240, 4.8%, 95.9%)',
  ACCENT: 'hsl(240, 4.8%, 95.9%)',
  DESTRUCTIVE: 'hsl(0, 84.2%, 60.2%)',
  RING: 'hsl(240, 4.9%, 83.9%)',
};

const DARK_THEME: Theme = {
  ...COMMON_THEME,
  BACKGROUND: 'hsl(240, 10%, 3.9%)',
  FOREGROUND: 'hsl(0, 0%, 98%)',
  CARD: 'hsl(240, 10%, 3.9%)',
  CARD_FOREGROUND: 'hsl(0, 0%, 98%)',
  POPOVER: 'hsl(240, 10%, 3.9%)',
  POPOVER_FOREGROUND: 'hsl(0, 0%, 98%)',
  PRIMARY: 'hsl(0, 0%, 98%)',
  SECONDARY: 'hsl(240, 3.7%, 15.9%)',
  MUTED: 'hsl(240, 3.7%, 15.9%)',
  ACCENT: 'hsl(240, 3.7%, 15.9%)',
  DESTRUCTIVE: 'hsl(0, 62.8%, 30.6%)',
  RING: 'hsl(240, 4.9%, 83.9%)',
};

const CUSTOM_THEME = {
  BACKGROUND: 'hsl(222.2, 84%, 4.9%)',
  FOREGROUND: 'hsl(210, 40%, 98%)',
  CARD: 'hsl(222.2, 84%, 4.9%)',
  CARD_FOREGROUND: 'hsl(210, 40%, 98%)',
  POPOVER: 'hsl(222.2, 84%, 4.9%)',
  POPOVER_FOREGROUND: 'hsl(210, 40%, 98%)',
  PRIMARY: 'hsl(217.2, 91.2%, 59.8%)',
  PRIMARY_FOREGROUND: 'hsl(222.2, 47.4%, 11.2%)',
  SECONDARY: 'hsl(217.2, 32.6%, 17.5%)',
  SECONDARY_FOREGROUND: 'hsl(210, 40%, 98%)',
  MUTED: 'hsl(217.2, 32.6%, 17.5%)',
  MUTED_FOREGROUND: 'hsl(215, 20.2%, 65.1%)',
  ACCENT: 'hsl(217.2, 32.6%, 17.5%)',
  ACCENT_FOREGROUND: 'hsl(210, 40%, 98%)',
  DESTRUCTIVE: 'hsl(0, 62.8%, 30.6%)',
  DESTRUCTIVE_FOREGROUND: 'hsl(210, 40%, 98%)',
  BORDER: 'hsl(217.2, 32.6%, 17.5%)',
  INPUT: 'hsl(217.2, 32.6%, 17.5%)',
  RING: 'hsl(224.3, 76.3%, 48%)',
};

export { LIGHT_THEME, DARK_THEME, CUSTOM_THEME };
