import {ColorSchemeName, Record} from 'react-native';
import {Theme} from './color/types';

export type CustomColors = {
  light?: Theme;
  dark?: Theme;
  custom?: Theme;
};

export type ThemeContextProps = {
  theme: ColorSchemeName;
  toggleTheme: () => void;
  colors: Theme;
};

export type ThemeProviderProps = {
  children: React.ReactNode;
  themeConfig?: CustomColors;
  useTheme?: ColorSchemeName | 'custom';
  customColors?: CustomColors;
};
